Bug 14440 - apt-shell --help ошибка
: apt-shell --help ошибка
Status: CLOSED WONTFIX
: Branch 4.1
(All bugs in Branch 4.1/apt)
: unspecified
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-14 18:17 by
Modified: 2014-11-05 20:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-14 18:17:11
apt-shell --help не показывает usage, а сразу переходит в режим команд, и
команда help завершается ошибкой.

[ilis@altus ~]$ apt-shell --help
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Добро пожаловать в APT shell. Используйте команду "help" для дополнительной
информации.
apt> help
E: Нет справки для этого
apt>

Steps to Reproduce:
1. ALD 4.0.2
2. apt-shell --help
3. apt> help
Actual Results:  
E: Нет справки для этого

Expected Results:  
1. $ apt-shell --help покажет подсказку
2. apt> help покажет подсказку
------- Comment #1 From 2008-03-11 15:01:05 -------
У меня такая же проблема:

apt-0.5.15lorg2-alt18

Под рутом:
apt> help
E: No help for that

Под юзером:
apt> help
apt 0.5.15lorg2 для linux i586 собран Dec 17 2007 20:50:28

Главные команды:
   status - Отобразить текущий выбор
   install - Установить новые пакеты
   remove - Удалить пакеты
   keep - Сохранить пакеты
   upgrade - Произвести обновление
   dist-upgrade - Произвести обновление системы в целом
   build-dep - Установить всё необходимое для сборки исходных пакетов
   update - Получить обновлённые списки пакетов
   commit - Применить изменения к системе
   quit - Покинуть APT shell

Дополнительные команды:
   show - Показать сведения о пакете в удобной для чтения форме
   showpkg - Показать общие сведения о пакете
   list/ls - Вывести список пакетов
   search - Искать в списке с использованием регулярных выражений
   script - Выполнить скрипты.
   depends - Показать сведения о зависимостях указанного пакета
   whatdepends - Показать сведения о пакетах, зависящих от указанного пакета
   check - Удостовериться в отсутствии неудовлетворённых зависимостей
   unmet - Получить список неудовлетворённых зависимостей
   clean - Удалить скачанные ранее архивные файлы
   autoclean - Удалить давно скачанные архивные файлы

Для получения дополнительной информации, используйте команды "help <cmd>" или 
"<cmd> [-h|--help]".

                       This APT has Super Cow Powers.
apt>  
------- Comment #2 From 2008-06-13 12:59:26 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2014-11-05 20:40:11 -------
В 4.1/branch исправления не будут вноситься уже технически (заглушена очередь
на сборку), поэтому прошу ошибки, актуальные для sisyphus/p7/t7, перевесить на
текущие ветки или сизиф.